API ReferenceCustom domain
Verify custom domain
Roles
adminissuerverifierdts-providermanaged-issuer
Analytics Events
CONFIG_CUSTOM_DOMAIN_VERIFY_STARTCONFIG_CUSTOM_DOMAIN_VERIFY_SUCCESSCONFIG_CUSTOM_DOMAIN_VERIFY_FAIL
POST
/v1/config/domain/verifyVerifies that you have control of the configured custom domain by examining its TXT record.
Analytic events
- CONFIG_CUSTOM_DOMAIN_VERIFY_START
- CONFIG_CUSTOM_DOMAIN_VERIFY_SUCCESS
- CONFIG_CUSTOM_DOMAIN_VERIFY_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/config/domain/verify"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete custom domain DELETE
Deletes the custom domain configuration on your tenant. <Callout> Deleting your custom domain configuration breaks the linkage with any credentials issued under the custom domain. These credentials will no longer be valid. </Callout> ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_DELETE_START * CONFIG_CUSTOM_DOMAIN_DELETE_SUCCESS * CONFIG_CUSTOM_DOMAIN_DELETE_FAIL
Create Webhook POST
Creates a new webhook for this tenant. ### **Analytic events** * WEBHOOK_CREATE_START * WEBHOOK_CREATE_SUCCESS * WEBHOOK_CREATE_FAIL